View Issue Details

IDProjectCategoryView StatusLast Update
0014213LazarusIDEpublic2009-10-23 00:40
ReporterMattias Gaertner Assigned ToMartin Friebe  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version0.9.28Fixed in Version0.9.28 
Summary0014213: source editor does not clear selection
Descriptionwrite a 4 letter word, select first 2 characters from left to right, so that caret is in middle of word, use Ctrl-left to jump to the start of the word.
Selection is still active.

This is a regression.
TagsNo tags attached.
Fixed in Revision20981, 20979
LazTarget0.9.28
Widgetset
Attached Files

Activities

Vladimir Zhirov

2009-07-27 18:21

reporter   ~0029285

Last edited: 2009-07-27 18:23

Confirmed under Win32, r20964.

Here is one more test case for this issue:
1. Put the caret at the beginning of a line
2. Press Shift+End to select the entire line
3. Press Home or End (the line is still selected though it's not supposed to)

Vladimir Zhirov

2009-07-27 19:23

reporter   ~0029288

Last edited: 2009-07-28 07:06

Martin, one problem is still here.

In the above test case pressing End when the caret is at the end of line does not clear the selection. AFAIK it is unexpected behaviour under all supported widgetsets. Pressing End should always clear the selection, even if the caret is already at the EOL.

The same applies to pressing Home when caret is already at the beginning of the line.

-------

It is fixed now, thanks Martin.

Issue History

Date Modified Username Field Change
2009-07-27 17:21 Mattias Gaertner New Issue
2009-07-27 17:21 Mattias Gaertner LazTarget => -
2009-07-27 17:21 Mattias Gaertner Widgetset => GTK 2
2009-07-27 18:21 Vladimir Zhirov Note Added: 0029285
2009-07-27 18:23 Vladimir Zhirov Note Edited: 0029285
2009-07-27 18:28 Martin Friebe Status new => assigned
2009-07-27 18:28 Martin Friebe Assigned To => Martin Friebe
2009-07-27 18:42 Martin Friebe Fixed in Revision => 20979
2009-07-27 18:42 Martin Friebe LazTarget - => 0.9.28
2009-07-27 18:42 Martin Friebe Widgetset GTK 2 =>
2009-07-27 18:42 Martin Friebe Status assigned => resolved
2009-07-27 18:42 Martin Friebe Fixed in Version => 0.9.28
2009-07-27 18:42 Martin Friebe Resolution open => fixed
2009-07-27 18:43 Martin Friebe Target Version => 0.9.28
2009-07-27 19:23 Vladimir Zhirov Note Added: 0029288
2009-07-27 19:27 Vladimir Zhirov Note Edited: 0029288
2009-07-27 20:51 Martin Friebe Status resolved => assigned
2009-07-27 20:51 Martin Friebe Resolution fixed => reopened
2009-07-27 22:13 Martin Friebe Fixed in Revision 20979 => 20981, 20979
2009-07-27 22:13 Martin Friebe Status assigned => resolved
2009-07-27 22:13 Martin Friebe Resolution reopened => fixed
2009-07-28 07:06 Vladimir Zhirov Note Edited: 0029288
2009-10-23 00:40 Marc Weustink Status resolved => closed